cURL
curl --request GET \
--url https://api.comm.com/api/v1/voice/calls/pivot-stats \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.comm.com/api/v1/voice/calls/pivot-stats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.comm.com/api/v1/voice/calls/pivot-stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": "<string>",
"metadata": {
"group_by": [
"date"
],
"metrics": [
"total_calls"
],
"start_date": "<string>",
"end_date": "<string>"
},
"success": true
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}{
"data": [
"<string>"
],
"success": true,
"error": "Failed to fetch pivot stats"
}Calls
Get v1voicecallspivot stats
GET
/
v1
/
voice
/
calls
/
pivot-stats
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Maximum string length:
1000Available options:
date, agent_id, country_id, voice_campaign_id, call_outcome, hour Available options:
total_calls, unique_calls_by_number, is_lead_count, is_sale_count, answered_calls, picked_up_calls, answer_machine_calls, total_call_duration, pixel_is_lead_count, pixel_is_sale_count